[Overview][Classes][Variables][Index] | Reference for unit 'ports' (#rtl)

# tportw

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Type implemented to support word-sized port access

## Declaration

Source position: portsh.inc line 45

`type tportw = object`
`public`
`property pp []: Word; default; [rw]` |  | Access word-sized port by port number
`end;`

## Inheritance

`tportw` |  | Type implemented to support word-sized port access

## Description

The TPortW type is implemented specially for access to the ports in a TP compatible manner. There is no need to create an instance of this type: the standard TP variables are instantiated at unit initialization.

## See also

portw |  | Provide port access per word
TPort |  | Type implemented to support integer-sized port access
TPortL |  | Type implemented to support Longint-sized port access